// TinyTcpIp
// ~~~~~~~~
//
// Copyright (c) 2010 Andreas Wilhelm (info at avedo dot net)
//
// Version 0.1
//
// TinyTcpIp implements a tiny TCP/IP client class,
// which enables the user to send a request using TCP/IP.
// This can, for example, be used to create get a http or
// ftp client.

#ifndef TINY_TCP_IP_H
#define TINY_TCP_IP_H

// Include the needed headers.
#include <string>
#include <iostream>
#include <boost/array.hpp>
#include <boost/asio.hpp>
#include <map>

using boost::asio::ip::tcp;

class TinyTcpIp {
	protected:
		boost::asio::io_service io_service;
		tcp::resolver *resolver;
		tcp::socket *socket;
		
		std::string logData;
		std::string host;
		std::string port;
		
		TinyTcpIp(const TinyTcpIp& x);  
		TinyTcpIp& operator=(const TinyTcpIp& x);

		std::string read();
		void write(std::string request);
		
	public:
		TinyTcpIp();
		~TinyTcpIp();
		void connect(
			std::string host,
			int port
		);
};

#endif
